Page MenuHomePhabricator

[sanitizer] Port fast stack unwinder to sparcv8
ClosedPublic

Authored by waltl on May 4 2018, 1:51 PM.

Diff Detail

Event Timeline

waltl created this revision.May 4 2018, 1:51 PM
kcc added inline comments.May 4 2018, 2:19 PM
compiler-rt/lib/sanitizer_common/sanitizer_stacktrace.cc
74 ↗(On Diff #145286)

This code is already too complex and fragile. Please avoid any #ifdefs
One option is to fork this function into a sparc-specific file.

waltl updated this revision to Diff 145786.May 8 2018, 2:24 PM

Move sparc support for fast stack unwinding into separate file

waltl marked an inline comment as done.May 8 2018, 2:25 PM
vitalybuka accepted this revision.May 10 2018, 1:54 PM
This revision is now accepted and ready to land.May 10 2018, 1:54 PM
This revision was automatically updated to reflect the committed changes.
Herald added a subscriber: Restricted Project. · View Herald TranscriptMay 10 2018, 2:44 PM